## cogl 1.8.0

=== debian/changelog ===
cogl (1.8.0-1~svn1) oneiric; urgency=low

  * Synced from debian svn

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 22 Sep 2011 09:16:53 +0200

cogl (1.8.0-1) UNRELEASED; urgency=low

  * New upstream release
  * debian/*.symbols*,debian/rules:
    - build with EGL/GLES2 on armhf
  * debian/{rules,control*, libcogl2* > libcogl5*}:
    - updated for soname bump
    - conflicts/replaces with libcogl2

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 19 Sep 2011 22:12:09 +0200

cogl (1.7.8-1) experimental; urgency=low

  * New upstream release
  * debian/*.symbols:
    - updated

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 07 Sep 2011 00:07:39 +0200

cogl (1.7.6-2) experimental; urgency=low

  * debian/rules: Fix armel GL configure flags
  * debian/libcogl2.symbols.armel: Add separate symbol file for armel, where
    EGL/GLES2 is used. (thanks Jani Monoses!)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 24 Aug 2011 17:46:41 +0200

cogl (1.7.6-1) experimental; urgency=low

  * Initial upload.
  * debian/patches:
    - add 02_disable_armv5t_specific_optimization.patch from clutter-1.0

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 22 Aug 2011 22:51:05 +0200
