=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: cogl
Section: libs
Priority: optional
Maintainer: Rico Tzschichholz <ricotz@ubuntu.com>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8.1.3~),
               cdbs (>= 0.4.93~),
               gnome-pkg-tools,
               gtk-doc-tools (>= 1.13),
               libgl1-mesa-dev (>= 7.1~rc3-1~) [!armel !armhf],
               libgles2-mesa-dev (>= 7.1~rc3-1~) [armel armhf] | libgles2-dev [armel armhf],
               libcairo2-dev (>= 1.10),
               libpango1.0-dev (>= 1.28.3-5),
               libgdk-pixbuf2.0-dev (>= 2.0),
               libglib2.0-dev (>= 2.26.0),
               libxfixes-dev (>= 1:3),
               libxdamage-dev,
               libxcomposite-dev (>= 0.4),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.12)
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/experimental/cogl
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/experimental/cogl/

Package: libcogl5
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: libcogl-common
Conflicts: libcogl2
Replaces: libcogl2
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Object oriented GL/GLES Abstraction/Utility Layer
 Cogl is a small open source library for using 3D graphics hardware to draw
 pretty pictures. The API departs from the flat state machine style of
 OpenGL and is designed to make it easy to write orthogonal components that
 can render without stepping on each others toes.

Package: libcogl-common
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: Object oriented GL/GLES Abstraction/Utility Layer (common files)
 Cogl is a small open source library for using 3D graphics hardware to draw
 pretty pictures. The API departs from the flat state machine style of
 OpenGL and is designed to make it easy to write orthogonal components that
 can render without stepping on each others toes.
 .
 This package contains the common files, such as translations.

Package: libcogl-dev
Section: libdevel
Architecture: any
Depends: libcogl5 (= ${binary:Version}),
         gir1.2-cogl-1.0 (= ${binary:Version}),
         libcairo2-dev (>= 1.10),
         libdrm-dev [!hurd-any],
         libgdk-pixbuf2.0-dev (>= 2.0),
         libpango1.0-dev (>= 1.20),
         libx11-dev,
         libxcomposite-dev,
         libxext-dev,
         libxfixes-dev,
         libxdamage-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pkg-config
Suggests: libcogl-doc
Replaces: libclutter-1.0-dev (<< 1.7)
Breaks: libclutter-1.0-dev (<< 1.7)
Description: Object oriented GL/GLES Abstraction/Utility Layer (development files)
 Cogl is a small open source library for using 3D graphics hardware to draw
 pretty pictures. The API departs from the flat state machine style of
 OpenGL and is designed to make it easy to write orthogonal components that
 can render without stepping on each others toes.
 .
 This package contains the development files.

Package: libcogl5-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libcogl5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Object oriented GL/GLES Abstraction/Utility Layer (debug files)
 Cogl is a small open source library for using 3D graphics hardware to draw
 pretty pictures. The API departs from the flat state machine style of
 OpenGL and is designed to make it easy to write orthogonal components that
 can render without stepping on each others toes.
 .
 This package contains the debug files.

Package: libcogl-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Replaces: libclutter-1.0-doc (<< 1.7)
Breaks: libclutter-1.0-doc (<< 1.7)
Description: Object oriented GL/GLES Abstraction/Utility Layer (documentation)
 Cogl is a small open source library for using 3D graphics hardware to draw
 pretty pictures. The API departs from the flat state machine style of
 OpenGL and is designed to make it easy to write orthogonal components that
 can render without stepping on each others toes.
 .
 This package contains the documentation.

Package: gir1.2-cogl-1.0
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: gir1.2-clutter-1.0 (<< 1.7)
Breaks: gir1.2-clutter-1.0 (<< 1.7)
Description: GObject introspection data for the Cogl 1.0 library
 This package contains introspection data for the Clutter scene
 graph library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
