=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE = cogl

DEB_DH_MAKESHLIBS_ARGS_libcogl5 += -V -- -c4
DEB_CONFIGURE_EXTRA_FLAGS += \
        --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	--enable-gtk-doc \
	--enable-introspection=yes

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
        DEB_CONFIGURE_EXTRA_FLAGS += --enable-gl=no --enable-gles2=yes
endif

common-binary-predeb-arch:: list-missing
