=== debian/watch ===
version=3
http://download.gnome.org/sources/cogl/([\d\.]+)/cogl-(.*)\.tar\.bz2
