## cogl 1.8.2

=== debian/changelog ===
cogl (1.8.2-1) unstable; urgency=low

  [ Rico Tzschichholz ]
  * New upstream release

  [ Laurent Bigonville ]
  * debian/watch: Switch to .xz tarball

 -- Laurent Bigonville <bigon@debian.org>  Thu, 20 Oct 2011 23:50:14 +0200

cogl (1.8.0-1) unstable; urgency=low

  [ Rico Tzschichholz ]
  * New upstream release
  * debian/*.symbols*,debian/rules:
    - build with EGL/GLES2 on armhf
  * debian/{rules,control*, libcogl2* > libcogl5*}:
    - updated for soname bump
    - conflicts/replaces with libcogl2

  [ Laurent Bigonville ]
  * Split libcogl-pango out of the main libcogl package
  * debian/copyright: Fix copyright file format
  * debian/control.in:
    - Move Vcs-* to the unstable branch
  * debian/rules:
    - Explicitly pass --enable-gdk-pixbuf and --enable-cogl-pango flags
      to the configure

 -- Laurent Bigonville <bigon@debian.org>  Wed, 28 Sep 2011 19:57:34 +0200
