## cogl 1.10.0

=== debian/changelog ===
cogl (1.10.0-0ubuntu2) precise; urgency=low

  * debian/control.in:
    - libcogl-dev should also depend on the gl/gles dev packages (LP: #961798)

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Wed, 21 Mar 2012 21:09:03 -0300

cogl (1.10.0-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/libcogl9.symbols:
    - Add new symbols
    - Remove cogl_pango_renderer_slice_cb symbol (redeclared as
      static, not part of the API)
  * debian/patches/01_fix_arm_build.patch: Dropped, upstream

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Mar 2012 20:40:01 -0400

cogl (1.9.8-0ubuntu3) precise; urgency=low

  * debian/libcogl9.symbols.egl:
    - Updated, fixes another ARM build failure

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 14 Mar 2012 08:33:14 -0400

cogl (1.9.8-0ubuntu2) precise; urgency=low

  [ Ryan Lortie ]
  * debian/patches/01_fix_arm_build.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 14 Mar 2012 08:03:54 -0400

cogl (1.9.8-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #941617)
  * Updated symbols & library name for soname update
  * debian/control.in: Bump minimum glib to 2.28
  * debian/patches/02_disable_armv5t_specific_optimization.patch: Disabled

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Mar 2012 19:11:11 -0400
