=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libcairo2-dev (>= 1.10),
                libpango1.0-dev (>= 1.28.3-5),
                libgdk-pixbuf2.0-dev (>= 2.0),
-               libglib2.0-dev (>= 2.26.0),
+               libglib2.0-dev (>= 2.28.0),
                libxfixes-dev (>= 1:3),
                libxdamage-dev,
                libxcomposite-dev (>= 0.4),
@@ -27,7 +27,7 @@
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/cogl
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/cogl/
 
-Package: libcogl5
+Package: libcogl9
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -58,9 +58,11 @@
 Package: libcogl-dev
 Section: libdevel
 Architecture: any
-Depends: libcogl5 (= ${binary:Version}),
+Depends: libcogl9 (= ${binary:Version}),
          gir1.2-cogl-1.0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.26.0),
+         libgl1-mesa-dev (>= 7.1~rc3-1~) [!armel !armhf],
+         libgles2-mesa-dev (>= 7.1~rc3-1~) [armel armhf] | libgles2-dev [armel armhf],
+         libglib2.0-dev (>= 2.28.0),
          libdrm-dev [!hurd-any],
          libgdk-pixbuf2.0-dev (>= 2.0),
          libx11-dev,
@@ -82,11 +84,11 @@
  .
  This package contains the development files for libcogl.
 
-Package: libcogl5-dbg
+Package: libcogl9-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libcogl5 (= ${binary:Version}),
+Depends: libcogl9 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: Object oriented GL/GLES Abstraction/Utility Layer (debug files)
@@ -102,7 +104,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: devhelp
-Replaces: libclutter-1.0-doc (<< 1.7)
+Replaces: libclutter-1.0-doc (<< 1.7), libcogl-common (<< 1.9.8-0ubuntu2)
 Breaks: libclutter-1.0-doc (<< 1.7)
 Description: Object oriented GL/GLES Abstraction/Utility Layer (documentation)
  Cogl is a small open source library for using 3D graphics hardware to draw
@@ -148,7 +150,7 @@
 Depends: libcogl-pango0 (= ${binary:Version}),
          gir1.2-coglpango-1.0 (= ${binary:Version}),
          libcogl-dev (= ${binary:Version}),
-         libglib2.0-dev (>= 2.26.0),
+         libglib2.0-dev (>= 2.28.0),
          libcairo2-dev (>= 1.10),
          libdrm-dev [!hurd-any],
          libgdk-pixbuf2.0-dev (>= 2.0),
