## cogl 1.10.2

=== debian/changelog ===
cogl (1.10.2-7) unstable; urgency=high

  [ Josselin Mouette ]
  * Add missing epoch on libxcomposite-dev build-dependency.

  [ Julien Cristau ]
  * Add replaces/conflicts on gir1.0-clutter-1.0 because of a file conflict
    (closes: #702453).

 -- Julien Cristau <jcristau@debian.org>  Sat, 16 Mar 2013 12:07:50 +0100

cogl (1.10.2-6) unstable; urgency=low

  * debian/rules: Set the gles2-libname to libGLESv2.so.2 as shipped by Mesa
    (Closes: #678018)
  * debian/patches/04_fix_crash_on_free.patch:
    + Added. Fix crash when freeing an unconnected renderer.
      (Closes: #673433 #676282)

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 21 Jun 2012 09:29:45 +0200

cogl (1.10.2-5) unstable; urgency=low

  * Revert to 1.10.2-3, turning on GLESv2 on intel pull in 50MB due to libgbm1
    and libegl1-mesa-drivers which is slightly over the top for enabling a
    uncommon feature. Hopefully the changes can be reapplied after the
    dependencies have gone on a diet.
  * debian/control.in: Make libcogl9 depend on the renderer driver it uses
    (GLES v2 on arm, GL on everything else)

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 21 Jun 2012 08:43:59 +0200

cogl (1.10.2-4) unstable; urgency=low

  * debian/patches/03_select_default_renderer_driver.patch:
    + Added. Allow the default renderer driver to be selected at configure time
  * Build both GL and GLESv2 renderer support on all platforms, default to
    GLESv2 on ARM and to GL on everything else.

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 20 Jun 2012 13:49:02 +0200

cogl (1.10.2-3) unstable; urgency=low

  * Make libcogl-pango0 break libcogl5 (<< 1.10.1-1) to avoid partial
    upgrades which can lead to applications like gnome-shell linking against
    both libcogl5 and libcogl9 resulting in a crash. Closes: #668285
  * Drop old Conflicts/Replaces: libcogl2.
  * Fix the Breaks/Replaces for the libcogl-pango split.

 -- Michael Biebl <biebl@debian.org>  Sat, 05 May 2012 16:30:26 +0200

cogl (1.10.2-2) unstable; urgency=low

  * Upload to unstable.
  * debian/watch: Track stable releases.

 -- Michael Biebl <biebl@debian.org>  Tue, 01 May 2012 22:53:13 +0200

cogl (1.10.2-1) experimental; urgency=low

  * New upstream release.
  * debian/copyright: Update Format URL to the final copyright 1.0 spec.

 -- Michael Biebl <biebl@debian.org>  Fri, 27 Apr 2012 00:44:33 +0200

cogl (1.10.0-2) experimental; urgency=low

  * debian/control.in: libcogl-dev breaks libclutter-1.0-dev (<< 1.10)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 01 Apr 2012 14:22:19 +0200

cogl (1.10.0-1) experimental; urgency=low

  [ Michael Biebl ]
  * Change section of gir1.2-cogl-1.0 and gir1.2-coglpango-1.0 to
    introspection.

  [ Josselin Mouette ]
  * Update repository URL.

  [ Jeremy Bicha ]
  * New upstream release.
  * Updated symbols & library name for soname update
  * debian/control.in:
    - Bump minimum glib to 2.28
    - Standards-Version 3.9.3
  * debian/patches/02_disable_armv5t_specific_optimization.patch: Disabled

  [ Rico Tzschichholz ]
  * debian/control.in:
    - Make libcogl-dev depend on gl/gles dev-packages

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 30 Mar 2012 21:14:20 +0200
