=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: libs
 Priority: optional
 Maintainer: Rico Tzschichholz <ricotz@ubuntu.com>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
                cdbs (>= 0.4.93~),
                gnome-pkg-tools,
@@ -20,20 +20,20 @@
                libglib2.0-dev (>= 2.28.0),
                libxfixes-dev (>= 1:3),
                libxdamage-dev,
-               libxcomposite-dev (>= 0.4),
+               libxcomposite-dev (>= 1:0.4),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12)
-Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/cogl
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/cogl/
+Standards-Version: 3.9.3
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/cogl
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/cogl/
 
 Package: libcogl9
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         libgl1-mesa-glx [!armel !armhf ],
+         libgles2-mesa [armel armhf] | libgles2 [armel armhf]
 Recommends: libcogl-common
-Conflicts: libcogl2
-Replaces: libcogl2
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Object oriented GL/GLES Abstraction/Utility Layer
@@ -75,7 +75,7 @@
 Recommends: pkg-config
 Suggests: libcogl-doc
 Replaces: libclutter-1.0-dev (<< 1.7)
-Breaks: libclutter-1.0-dev (<< 1.7)
+Breaks: libclutter-1.0-dev (<< 1.10.0)
 Description: Object oriented GL/GLES Abstraction/Utility Layer (development files)
  Cogl is a small open source library for using 3D graphics hardware to draw
  pretty pictures. The API departs from the flat state machine style of
@@ -104,7 +104,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: devhelp
-Replaces: libclutter-1.0-doc (<< 1.7), libcogl-common (<< 1.9.8-0ubuntu2)
+Replaces: libclutter-1.0-doc (<< 1.7)
 Breaks: libclutter-1.0-doc (<< 1.7)
 Description: Object oriented GL/GLES Abstraction/Utility Layer (documentation)
  Cogl is a small open source library for using 3D graphics hardware to draw
@@ -115,12 +115,14 @@
  This package contains the documentation.
 
 Package: gir1.2-cogl-1.0
+Section: introspection
 Architecture: any
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Replaces: gir1.2-clutter-1.0 (<< 1.7)
+Replaces: gir1.2-clutter-1.0 (<< 1.7), gir1.0-clutter-1.0
 Breaks: gir1.2-clutter-1.0 (<< 1.7)
+Conflicts: gir1.0-clutter-1.0
 Description: GObject introspection data for the Cogl 1.0 library
  This package contains introspection data for the Clutter scene
  graph library.
@@ -133,9 +135,9 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
 Recommends: libcogl-common
-Conflicts: libcogl2
-Replaces: libcogl2, libcogl5 (<< 1.8.0-1)
-Breaks: libcogl5 (<< 1.8.0-1)
+Replaces: libcogl2 (<< 1.8.0-1)
+Breaks: libcogl2 (<< 1.8.0-1),
+        libcogl5 (<< 1.10.0-1)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Object oriented GL/GLES Abstraction/Utility Layer
@@ -180,8 +182,8 @@
 Architecture: any
 Depends: libcogl-pango0 (= ${binary:Version}),
          ${misc:Depends}
-Replaces: libcogl5-dbg (<< 1.8.0-1)
-Breaks: libcogl5-dbg (<< 1.8.0-1)
+Replaces: libcogl2-dbg (<< 1.8.0-1)
+Breaks: libcogl2-dbg (<< 1.8.0-1)
 Multi-Arch: same
 Description: Object oriented GL/GLES Abstraction/Utility Layer (debug files)
  Cogl is a small open source library for using 3D graphics hardware to draw
@@ -192,6 +194,7 @@
  This package contains the debug files for libcogl-pango.
 
 Package: gir1.2-coglpango-1.0
+Section: introspection
 Architecture: any
 Depends: ${gir:Depends},
          ${shlibs:Depends},
