=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,8 @@
 	--enable-gtk-doc \
 	--enable-gdk-pixbuf \
 	--enable-cogl-pango \
-	--enable-introspection=yes
+	--enable-introspection=yes \
+	--with-gles2-libname=libGLESv2.so.2
 
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
         DEB_CONFIGURE_EXTRA_FLAGS += --enable-gl=no --enable-gles2=yes
