## cogl 1.10.4

=== debian/changelog ===
cogl (1.10.4-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Sun, 29 Jul 2012 15:50:03 +0200
