=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libglib2.0-dev (>= 2.28.0),
                libxfixes-dev (>= 1:3),
                libxdamage-dev,
-               libxcomposite-dev (>= 1:0.4),
+               libxcomposite-dev (>= 0.4),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12)
 Standards-Version: 3.9.3
@@ -120,9 +120,8 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Replaces: gir1.2-clutter-1.0 (<< 1.7), gir1.0-clutter-1.0
+Replaces: gir1.2-clutter-1.0 (<< 1.7)
 Breaks: gir1.2-clutter-1.0 (<< 1.7)
-Conflicts: gir1.0-clutter-1.0
 Description: GObject introspection data for the Cogl 1.0 library
  This package contains introspection data for the Clutter scene
  graph library.
