## cogl 1.12.2

=== debian/changelog ===
cogl (1.12.2-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 10 Jan 2013 12:49:09 +1300

cogl (1.12.0-1) experimental; urgency=low

  * New upstream release
  * debian/patches/03_select_default_renderer_driver.patch:
    + Dropped, merged upstream
  * debian/patches/04_fix_crash_on_free.patch:
    + Dropped, merged upstream

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 25 Sep 2012 10:07:06 +0200

cogl (1.10.2-6exp1) experimental; urgency=low

  * Bring back multiple backend support from 1.10.2-4 packaging
  * debian/rules: Only build gles2 support on non-hurd (kfreebsd & linux)
  * debian/control.in: Let the -dev package also depends on both GL and GLES
    apart from on hurd

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 21 Jun 2012 09:42:33 +0200
