=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: cogl
 Section: libs
 Priority: optional
 Maintainer: Rico Tzschichholz <ricotz@ubuntu.com>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
                cdbs (>= 0.4.93~),
                gnome-pkg-tools,
                gtk-doc-tools (>= 1.13),
-               libgl1-mesa-dev (>= 7.1~rc3-1~) [!armel !armhf],
-               libgles2-mesa-dev (>= 7.1~rc3-1~) [armel armhf] | libgles2-dev [armel armhf],
+               libgl1-mesa-dev (>= 7.1~rc3-1~),
+               libgles2-mesa-dev (>= 7.1~rc3-1~) [!hurd-any] | libgles2-dev [!hurd-any],
                libcairo2-dev (>= 1.10),
                libpango1.0-dev (>= 1.28.3-5),
                libgdk-pixbuf2.0-dev (>= 2.0),
@@ -21,19 +20,20 @@
                libxfixes-dev (>= 1:3),
                libxdamage-dev,
                libxcomposite-dev (>= 0.4),
-               gobject-introspection (>= 0.9.12-4~),
+               gobject-introspection (>= 1.33.4-1),
                libgirepository1.0-dev (>= 0.9.12)
 Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/cogl
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/cogl/
 
-Package: libcogl9
+Package: libcogl11
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libgl1-mesa-glx [!armel !armhf ],
          libgles2-mesa [armel armhf] | libgles2 [armel armhf]
 Recommends: libcogl-common
+Suggests: libgles2-mesa | libgles2, libgl1-mesa-glx
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Object oriented GL/GLES Abstraction/Utility Layer
@@ -58,10 +58,10 @@
 Package: libcogl-dev
 Section: libdevel
 Architecture: any
-Depends: libcogl9 (= ${binary:Version}),
+Depends: libcogl11 (= ${binary:Version}),
          gir1.2-cogl-1.0 (= ${binary:Version}),
-         libgl1-mesa-dev (>= 7.1~rc3-1~) [!armel !armhf],
-         libgles2-mesa-dev (>= 7.1~rc3-1~) [armel armhf] | libgles2-dev [armel armhf],
+         libgl1-mesa-dev (>= 7.1~rc3-1~),
+         libgles2-mesa-dev (>= 7.1~rc3-1~) [!hurd-any] | libgles2-dev [!hurd-any],
          libglib2.0-dev (>= 2.28.0),
          libdrm-dev [!hurd-any],
          libgdk-pixbuf2.0-dev (>= 2.0),
@@ -84,11 +84,11 @@
  .
  This package contains the development files for libcogl.
 
-Package: libcogl9-dbg
+Package: libcogl11-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libcogl9 (= ${binary:Version}),
+Depends: libcogl11 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: Object oriented GL/GLES Abstraction/Utility Layer (debug files)
