=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,18 @@
 	--enable-gdk-pixbuf \
 	--enable-cogl-pango \
 	--enable-introspection=yes \
+	--enable-gl=yes \
+	--enable-xlib-egl-platform=yes \
 	--with-gles2-libname=libGLESv2.so.2
 
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
-        DEB_CONFIGURE_EXTRA_FLAGS += --enable-gl=no --enable-gles2=yes
+        DEB_CONFIGURE_EXTRA_FLAGS += --with-default-driver=gles2
+else
+        DEB_CONFIGURE_EXTRA_FLAGS += --with-default-driver=gl
+endif
+
+ifeq ($(DEB_HOST_ARCH_OS),$(findstring $(DEB_HOST_ARCH_OS),linux kfreebsd))
+        DEB_CONFIGURE_EXTRA_FLAGS += --enable-gles2=yes
 endif
 
 common-binary-predeb-arch:: list-missing
