## cogl 1.14.0

=== debian/changelog ===
cogl (1.14.0-2) unstable; urgency=low

  [ Jeremy Bicha ]
  * use canonical Vcs-* fields

  [ Andreas Henriksson ]
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 Aug 2013 18:27:29 +0200

cogl (1.14.0-1) experimental; urgency=low

  * New upstream release.
    + debian/patches/Disable-reliance-on-KHR_create_context.patch:
      - Removed, fixed upstream in a different way.
  * debian/control.in,
    debian/rules,
    debian/libcogl12.*,
    debian/libcogl-gles2-12.*,
    debian/libcogl*-dev.install:
    + Split libcogl-gles2 into its own package.
  * debian/rules:
    + Only enable egl/gles2 on linux and kfreebsd.
  * debian/libcogl12.symbols:
    + Mark cogl_egl_context_get_egl_display as not available on hurd.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 25 Mar 2013 18:33:43 +0100

cogl (1.13.4-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
    - soname bump
  * debian/control.in:
    - Bump minimum glib to 2.32
    - Drop obsolete breaks/replaces
    - Bump libclutter-1.0-dev breaks for soname transition

  [ Rico Tzschichholz ]
  * debian/control.in:
    - Build-depend on libxrandr-dev

  [ Hector Oron]
  * Enable cogl-gles2-experimental used by webkit-clutter for WebGL support
  * d/rules: enable cogl-gles2 and DEB_DH_MAKESHLIBS_ARGS_libcogl11.
  * d/libcogl-dev.install: add usr/lib/*/libcogl-gles2.so,
    usr/lib/*/pkgconfig/cogl-gles2-experimental.pc

  [ Gustavo Noronha Silva ]
  * d/libcogl-dev.install:
  - install cogl-gles2 headers as well

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Lower gobject-introspection build-dependency from 1.33.4-1
      to 1.33.4-1~ to ease backports.

  [ Sjoerd Simons ]
  * d/p/Disable-reliance-on-KHR_create_context.patch
    + Added. Don't assume the GL stack supports KHR_create_context to build
      with older mesa (Disables the GL3 driver with EGL)

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Drop libcogl-dev's Breaks on libclutter-1.0-dev, as the latter has
      a minimum dependency on the former that is enough, so the breaks are
      not needed and will only cause upgrade problems.

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 15 Mar 2013 23:02:34 +0100
