=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: cogl
 Section: libs
 Priority: optional
 Maintainer: Rico Tzschichholz <ricotz@ubuntu.com>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
                cdbs (>= 0.4.93~),
                gnome-pkg-tools,
@@ -16,17 +17,18 @@
                libcairo2-dev (>= 1.10),
                libpango1.0-dev (>= 1.28.3-5),
                libgdk-pixbuf2.0-dev (>= 2.0),
-               libglib2.0-dev (>= 2.28.0),
+               libglib2.0-dev (>= 2.32.0),
                libxfixes-dev (>= 1:3),
                libxdamage-dev,
-               libxcomposite-dev (>= 0.4),
-               gobject-introspection (>= 1.33.4-1),
+               libxcomposite-dev (>= 1:0.4),
+               libxrandr-dev (>= 2:1.2),
+               gobject-introspection (>= 1.33.4-1~),
                libgirepository1.0-dev (>= 0.9.12)
 Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/cogl
+Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/cogl
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/cogl/
 
-Package: libcogl11
+Package: libcogl12
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -58,7 +60,7 @@
 Package: libcogl-dev
 Section: libdevel
 Architecture: any
-Depends: libcogl11 (= ${binary:Version}),
+Depends: libcogl12 (= ${binary:Version}),
          gir1.2-cogl-1.0 (= ${binary:Version}),
          libgl1-mesa-dev (>= 7.1~rc3-1~),
          libgles2-mesa-dev (>= 7.1~rc3-1~) [!hurd-any] | libgles2-dev [!hurd-any],
@@ -74,8 +76,6 @@
          ${shlibs:Depends}
 Recommends: pkg-config
 Suggests: libcogl-doc
-Replaces: libclutter-1.0-dev (<< 1.7)
-Breaks: libclutter-1.0-dev (<< 1.10.0)
 Description: Object oriented GL/GLES Abstraction/Utility Layer (development files)
  Cogl is a small open source library for using 3D graphics hardware to draw
  pretty pictures. The API departs from the flat state machine style of
@@ -84,11 +84,11 @@
  .
  This package contains the development files for libcogl.
 
-Package: libcogl11-dbg
+Package: libcogl12-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libcogl11 (= ${binary:Version}),
+Depends: libcogl12 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: Object oriented GL/GLES Abstraction/Utility Layer (debug files)
@@ -104,8 +104,6 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: devhelp
-Replaces: libclutter-1.0-doc (<< 1.7)
-Breaks: libclutter-1.0-doc (<< 1.7)
 Description: Object oriented GL/GLES Abstraction/Utility Layer (documentation)
  Cogl is a small open source library for using 3D graphics hardware to draw
  pretty pictures. The API departs from the flat state machine style of
@@ -120,8 +118,6 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Replaces: gir1.2-clutter-1.0 (<< 1.7)
-Breaks: gir1.2-clutter-1.0 (<< 1.7)
 Description: GObject introspection data for the Cogl 1.0 library
  This package contains introspection data for the Clutter scene
  graph library.
@@ -129,14 +125,11 @@
  It can be used by packages using the GIRepository format to generate
  dynamic bindings for libcogl.
 
-Package: libcogl-pango0
+Package: libcogl-pango12
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
 Recommends: libcogl-common
-Replaces: libcogl2 (<< 1.8.0-1)
-Breaks: libcogl2 (<< 1.8.0-1),
-        libcogl5 (<< 1.10.0-1)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Object oriented GL/GLES Abstraction/Utility Layer
@@ -148,7 +141,7 @@
 Package: libcogl-pango-dev
 Section: libdevel
 Architecture: any
-Depends: libcogl-pango0 (= ${binary:Version}),
+Depends: libcogl-pango12 (= ${binary:Version}),
          gir1.2-coglpango-1.0 (= ${binary:Version}),
          libcogl-dev (= ${binary:Version}),
          libglib2.0-dev (>= 2.28.0),
@@ -165,8 +158,6 @@
          ${shlibs:Depends}
 Recommends: pkg-config
 Suggests: libcogl-doc
-Replaces: libcogl-dev (<< 1.8.0-1)
-Breaks: libcogl-dev (<< 1.8.0-1)
 Description: Object oriented GL/GLES Abstraction/Utility Layer (development files)
  Cogl is a small open source library for using 3D graphics hardware to draw
  pretty pictures. The API departs from the flat state machine style of
@@ -175,14 +166,12 @@
  .
  This package contains the development files for libcogl-pango.
 
-Package: libcogl-pango0-dbg
+Package: libcogl-pango12-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libcogl-pango0 (= ${binary:Version}),
-         ${misc:Depends}
-Replaces: libcogl2-dbg (<< 1.8.0-1)
-Breaks: libcogl2-dbg (<< 1.8.0-1)
+Depends: libcogl-pango12 (= ${binary:Version}),
+         ${misc:Depends}
 Multi-Arch: same
 Description: Object oriented GL/GLES Abstraction/Utility Layer (debug files)
  Cogl is a small open source library for using 3D graphics hardware to draw
@@ -198,11 +187,47 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Replaces: gir1.2-cogl-1.0 (<< 1.8.0-1)
-Breaks: gir1.2-cogl-1.0 (<< 1.8.0-1)
 Description: GObject introspection data for the CoglPango 1.0 library
  This package contains introspection data for the Clutter scene
  graph library.
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings for libcogl-pango.
+
+Package: libcogl-gles2-12
+Architecture: linux-any kfreebsd-any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libgl1-mesa-glx [!armel !armhf ],
+         libgles2-mesa [armel armhf] | libgles2 [armel armhf]
+Recommends: libcogl-common
+Suggests: libgles2-mesa | libgles2, libgl1-mesa-glx
+Replaces: libcogl12 (<< 1.13.4-2)
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Description: Object oriented GL/GLES Abstraction/Utility Layer
+ Cogl is a small open source library for using 3D graphics hardware to draw
+ pretty pictures. The API departs from the flat state machine style of
+ OpenGL and is designed to make it easy to write orthogonal components that
+ can render without stepping on each others toes.
+ .
+ This package contains the GLES2 library.
+
+Package: libcogl-gles2-dev
+Section: libdevel
+Architecture: linux-any kfreebsd-any
+Depends: libcogl-gles2-12 (= ${binary:Version}),
+         libcogl-dev (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: pkg-config
+Suggests: libcogl-doc
+Breaks: libcogl-dev (<< 1.14.0-1)
+Replaces: libcogl-dev (<< 1.14.0-1)
+Description: Object oriented GL/GLES Abstraction/Utility Layer (development files)
+ Cogl is a small open source library for using 3D graphics hardware to draw
+ pretty pictures. The API departs from the flat state machine style of
+ OpenGL and is designed to make it easy to write orthogonal components that
+ can render without stepping on each others toes.
+ .
+ This package contains the development files for libcogl.
