=== debian/rules ===
--- 
+++ 
@@ -8,17 +8,17 @@
 
 GNOME_MODULE = cogl
 
-DEB_DH_MAKESHLIBS_ARGS_libcogl9 += -V -- -c4
-DEB_DH_MAKESHLIBS_ARGS_libcogl-pango0 += -V -- -c4
+DEB_DH_MAKESHLIBS_ARGS_libcogl12 += -V -- -c4
+DEB_DH_MAKESHLIBS_ARGS_libcogl-pango12 += -V -- -c4
+DEB_DH_MAKESHLIBS_ARGS_libcogl-gles2-12 += -V -- -c4
+
 DEB_CONFIGURE_EXTRA_FLAGS += \
 	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 	--enable-gtk-doc \
 	--enable-gdk-pixbuf \
 	--enable-cogl-pango \
 	--enable-introspection=yes \
-	--enable-gl=yes \
-	--enable-xlib-egl-platform=yes \
-	--with-gles2-libname=libGLESv2.so.2
+	--enable-gl=yes
 
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
         DEB_CONFIGURE_EXTRA_FLAGS += --with-default-driver=gles2
@@ -27,7 +27,11 @@
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),$(findstring $(DEB_HOST_ARCH_OS),linux kfreebsd))
-        DEB_CONFIGURE_EXTRA_FLAGS += --enable-gles2=yes
+DEB_CONFIGURE_EXTRA_FLAGS += \
+	--enable-xlib-egl-platform=yes \
+	--enable-cogl-gles2=yes \
+	--with-gles2-libname=libGLESv2.so.2 \
+	--enable-gles2=yes
 endif
 
 common-binary-predeb-arch:: list-missing
